ClickHouse CLI
- PATCH
- /workspaces
- /:workspace
- /projects
- /:project_name
- /pipelines
- /:pipeline_id
- /actions
- /:action_id
Update ClickHouse CLI action configuration
Warning
You can't change the type of an existing action. To change the type, remove the action and add it again.
Request example
curl -X PATCH "https://api.buddy.works/workspaces/:workspace/projects/:project_name/pipelines/:pipeline_id/actions/:action_id" \
-H "Authorization: Bearer <YOUR-TOKEN>" \
-H "Content-Type: application/json" \
-d '{
"name": "Run ClickHouse queries",
"type": "CLICKHOUSE_CLI",
"trigger_time": "ON_EVERY_EXECUTION",
"version": "24",
"shell": "BASH",
"execute_commands": [
"clickhouse-client -q 'SHOW DATABASES'",
"clickhouse-client --queries-file migrate.sql"
],
"targets": [
{
"identifier": "my_clickhouse_database",
"name": "My ClickHouse Database",
"type": "CLICKHOUSE",
"host": "clickhouse.example.com",
"port": "9000",
"database": "myapp",
"secure": true,
"auth": {
"method": "PASSWORD",
"username": "deploy_user",
"password": "secured"
}
}
]
}'STATUS200 OK